%define module_name Dancer2-Plugin-Auth-OAuth
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer2.pm) perl(DateTime.pm) perl(Digest/MD5.pm) perl(HTTP/Message.pm) perl(JSON/MaybeXS.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Module/Build/Tiny.pm) perl(Module/Load.pm) perl(Net/OAuth.pm) perl(Path/Tiny.pm) perl(Plack/Test.pm) perl(Scalar/Util.pm) perl(Test/Mock/LWP/Dispatch.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(URI.pm) perl(URI/Query.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.16
Release: alt1
Summary: OAuth for your Dancer2 app
Group: Development/Perl
License: perl
URL: https://github.com/b10m/p5-Dancer2-Plugin-Auth-OAuth

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BL/BLOM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Dancer2::Plugin::Auth::OAuth is a Dancer2 plugin which tries to make OAuth
authentication easy.

The module is highly influenced by the Plack::Middleware::OAuth manpage and Dancer 1
OAuth modules, but unlike the Dancer 1 versions, this plugin only needs
configuration (look mom, no code needed!). It automatically sets up the
needed routes (defaults to `/auth/$provider' and `/auth/$provider/callback').
So if you define the Twitter provider in your config, you should automatically
get `/auth/twitter' and `/auth/twitter/callback'.

After a successful OAuth dance, the user info is stored in the session. What
you do with it afterwards is up to you.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/D*

%changelog
* Fri Jul 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- regenerated from template by package builder

* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- regenerated from template by package builder

* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- regenerated from template by package builder

* Mon Aug 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Tue Dec 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Mon Jan 05 2015 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Mon Dec 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

